For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
      • POSTEndpoint to batch create external files without uploading.
      • GETReturns all files of the user with the specified id.
      • POSTCreates a new user file for the user with the specified id..
      • DELDeletes the files of the specified user.
      • POSTUploads a new file by providing an url.
      • GETReturns the file with the specified id of the user with the specified id.
      • PUTUpdates the metadata of the user file with the specified id.
      • DELDeletes the user file with the specified id.
      • POSTChanges the user this file belongs to.
      • POSTCopies the file to a new user.
      • GETReturns the content of the file with the specified id as pdf. type or conversion not possible.
      • GETReturns an url to share the file.
      • GETReturns all file versions of the specified user file.
      • POSTUploads a new version of the user file with the specified id.
      • GETReturns the user file version with the specified id.
      • GETReturns the content of the user file version with the specified id.
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceUser Files

Returns the content of the file with the specified id as pdf. type or conversion not possible.

GET
https://api.awork.com/api/v1/users/:userId/files/:fileId/pdf
GET
/api/v1/users/:userId/files/:fileId/pdf
$curl -G https://api.awork.com/api/v1/users/userId/files/fileId/pdf \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d inline=true
200Retrieved
1"%PDF-1.7\n%âãÏÓ\n1 0 obj\n<< /Type /Catalog /Pages 2 0 R >>\nendobj\n2 0 obj\n<< /Type /Pages /Kids [3 0 R] /Count 1 >>\nendobj\n3 0 obj\n<< /Type /Page /Parent 2 0 R /MediaBox [0 0 612 792] /Contents 4 0 R >>\nendobj\n4 0 obj\n<< /Length 44 >>\nstream\nBT\n/F1 24 Tf\n100 700 Td\n(Example PDF Content) Tj\nET\nendstream\nendobj\nxref\n0 5\n0000000000 65535 f \n0000000010 00000 n \n0000000060 00000 n \n0000000117 00000 n \n0000000214 00000 n \ntrailer\n<< /Size 5 /Root 1 0 R >>\nstartxref\n312\n%%EOF"
Returns the content of the user file. Uses the latest file version. <Check title="Required Permissions" icon="key">Any authenticated user.</Check>
Was this page helpful?
Previous

Returns an url to share the file.

Next
Built with

Returns the content of the user file. Uses the latest file version.

Required Permissions
Any authenticated user.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

userIdstringRequiredformat: "uuid"
The id of the user.
fileIdstringRequiredformat: "uuid"
The id of the file.

Query parameters

inlinebooleanOptionalDefaults to false

If inline is false, content-disposition header is attachment.

Response

OK